Page MenuHomePhabricator

Collection license URL mishmash in WMF prod
Closed, ResolvedPublic

Description

CommonSettings.php sets $wgLicenseURL, however this variable is not used anywhere. Instead, Collection uses $wgCollectionLicenseURL which defaults to null and therefore MediaWiki's config ($wgRights*) is getting used for attribution in PDFs. From this, it seems like $wgLicense should just be dropped.

Event Timeline

MaxSem created this task.Dec 24 2016, 1:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 24 2016, 1:02 AM

Change 444663 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Cleanup: Stop trying to set wgLicenseURL, never read

https://gerrit.wikimedia.org/r/444663

Change 444663 merged by jenkins-bot:
[operations/mediawiki-config@master] Cleanup: Stop trying to set wgLicenseURL, never read

https://gerrit.wikimedia.org/r/444663

Mentioned in SAL (#wikimedia-operations) [2018-07-09T23:58:03Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT Cleanup: Stop trying to set wgLicenseURL T154069 (duration: 00m 50s)

Jdforrester-WMF closed this task as Resolved.Jul 10 2018, 12:00 AM
Jdforrester-WMF claimed this task.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Deployed.